org.keycloak.jaxrs

## Class JaxrsBearerTokenFilterImpl

- java.lang.Object
- - org.keycloak.jaxrs.JaxrsBearerTokenFilterImpl

- All Implemented Interfaces:
    javax.ws.rs.container.ContainerRequestFilter, JaxrsBearerTokenFilter
  Direct Known Subclasses:
    OsgiJaxrsBearerTokenFilterImpl

      @PreMatching
      public class JaxrsBearerTokenFilterImpl
      extends Object
      implements JaxrsBearerTokenFilter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AdapterDeploymentContext` | `deploymentContext`
    `protected NodesRegistrationManagement` | `nodesRegistrationManagement`
    `protected boolean` | `started`
    `protected UserSessionManagement` | `userSessionManagement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsBearerTokenFilterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `attemptStart()`
    `protected void` | `bearerAuthentication(JaxrsHttpFacade facade, javax.ws.rs.container.ContainerRequestContext request, KeycloakDeployment resolvedDeployment)`
    `void` | `filter(javax.ws.rs.container.ContainerRequestContext request)`
    `String` | `getKeycloakConfigFile()`
    `String` | `getKeycloakConfigResolverClass()`
    `protected javax.ws.rs.core.SecurityContext` | `getRequestSecurityContext(javax.ws.rs.container.ContainerRequestContext request)`
    `protected void` | `handleAuthActions(JaxrsHttpFacade facade, KeycloakDeployment deployment)`
    `protected boolean` | `handlePreauth(JaxrsHttpFacade facade)`
    `protected boolean` | `isInitialized()`
    `protected InputStream` | `loadKeycloakConfigFile()`
    `protected Class<? extends KeycloakConfigResolver>` | `loadResolverClass()`
    `protected void` | `propagateSecurityContext(JaxrsHttpFacade facade, javax.ws.rs.container.ContainerRequestContext request, KeycloakDeployment resolvedDeployment, BearerTokenRequestAuthenticator bearer)`
    `void` | `setKeycloakConfigFile(String configFile)`
    `void` | `setKeycloakConfigResolverClass(String keycloakConfigResolverClass)`
    `protected void` | `start()`
    `protected boolean` | `verifySslFailed(JaxrsHttpFacade facade, KeycloakDeployment deployment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### started

          protected volatile boolean started

    - #### deploymentContext

          protected AdapterDeploymentContext deploymentContext

    - #### nodesRegistrationManagement

          protected NodesRegistrationManagement nodesRegistrationManagement

    - #### userSessionManagement

          protected UserSessionManagement userSessionManagement

  - ### Constructor Detail

    - #### JaxrsBearerTokenFilterImpl

          public JaxrsBearerTokenFilterImpl()

  - ### Method Detail

    - #### setKeycloakConfigFile

          public void setKeycloakConfigFile(String configFile)

    - #### getKeycloakConfigFile

          public String getKeycloakConfigFile()

    - #### getKeycloakConfigResolverClass

          public String getKeycloakConfigResolverClass()

    - #### setKeycloakConfigResolverClass

          public void setKeycloakConfigResolverClass(String keycloakConfigResolverClass)

    - #### attemptStart

          protected void attemptStart()

    - #### isInitialized

          protected boolean isInitialized()

    - #### start

          protected void start()

    - #### loadResolverClass

          protected Class<? extends KeycloakConfigResolver> loadResolverClass()

    - #### loadKeycloakConfigFile

          protected InputStream loadKeycloakConfigFile()

    - #### filter

          public void filter(javax.ws.rs.container.ContainerRequestContext request)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.container.ContainerRequestFilter`
      Throws:
        `IOException`

    - #### handlePreauth

          protected boolean handlePreauth(JaxrsHttpFacade facade)

    - #### bearerAuthentication

          protected void bearerAuthentication(JaxrsHttpFacade facade,
                                  javax.ws.rs.container.ContainerRequestContext request,
                                  KeycloakDeployment resolvedDeployment)

    - #### propagateSecurityContext

          protected void propagateSecurityContext(JaxrsHttpFacade facade,
                                      javax.ws.rs.container.ContainerRequestContext request,
                                      KeycloakDeployment resolvedDeployment,
                                      BearerTokenRequestAuthenticator bearer)

    - #### verifySslFailed

          protected boolean verifySslFailed(JaxrsHttpFacade facade,
                                KeycloakDeployment deployment)

    - #### getRequestSecurityContext

          protected javax.ws.rs.core.SecurityContext getRequestSecurityContext(javax.ws.rs.container.ContainerRequestContext request)

    - #### handleAuthActions

          protected void handleAuthActions(JaxrsHttpFacade facade,
                               KeycloakDeployment deployment)

Copyright © 2014. All Rights Reserved.